Kea: isc::dhcp::Dhcp4Parser::symbol_type Struct Reference

| Kea 3.0.2-git

isc::dhcp::Dhcp4Parser::symbol_type Struct Reference

"External" symbols: returned by the scanner. More...

`#include <dhcp4_parser.h>`

Inheritance diagram for isc::dhcp::Dhcp4Parser::symbol_type:
[legend]

## Public Types
typedef basic_symbol< by_kind > | super_type
| Superclass.
Public Types inherited from isc::dhcp::Dhcp4Parser::basic_symbol< by_kind >
typedef by_kind | super_type
| Alias to Base.
Public Types inherited from isc::dhcp::Dhcp4Parser::by_kind
typedef token_kind_type | kind_type
| The symbol kind as needed by the constructor.

## Public Member Functions
| symbol_type () YY_NOEXCEPT
| Empty symbol.
| symbol_type (int tok, const bool &v, const location_type &l)
| symbol_type (int tok, const double &v, const location_type &l)
| symbol_type (int tok, const int64_t &v, const location_type &l)
| symbol_type (int tok, const location_type &l)
| Constructor for valueless symbols, and symbols from each type.
| symbol_type (int tok, const std::string &v, const location_type &l)
Public Member Functions inherited from isc::dhcp::Dhcp4Parser::basic_symbol< by_kind >
| basic_symbol () YY_NOEXCEPT
| Default constructor.
| basic_symbol (const basic_symbol &that)
| Copy constructor.
| basic_symbol (typename by_kind::kind_type t, const bool &v, const location_type &l)
| basic_symbol (typename by_kind::kind_type t, const double &v, const location_type &l)
| basic_symbol (typename by_kind::kind_type t, const ElementPtr &v, const location_type &l)
| basic_symbol (typename by_kind::kind_type t, const int64_t &v, const location_type &l)
| basic_symbol (typename by_kind::kind_type t, const location_type &l)
| Constructors for typed symbols.
| basic_symbol (typename by_kind::kind_type t, const std::string &v, const location_type &l)
| ~basic_symbol ()
| Destroy the symbol.
void | clear () YY_NOEXCEPT
| Destroy contents, and record that is empty.
bool | empty () const YY_NOEXCEPT
| Whether empty.
void | move (basic_symbol &s)
| Destructive move, s is emptied into this.
std::string | name () const YY_NOEXCEPT
| The user-facing name of this symbol.
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6).
Public Member Functions inherited from isc::dhcp::Dhcp4Parser::by_kind
| by_kind () YY_NOEXCEPT
| Default constructor.
| by_kind (const by_kind &that) YY_NOEXCEPT
| Copy constructor.
| by_kind (kind_type t) YY_NOEXCEPT
| Constructor from (external) token numbers.
void | clear () YY_NOEXCEPT
| Record that this symbol is empty.
symbol_kind_type | kind () const YY_NOEXCEPT
| The (internal) type number (corresponding to type).
void | move (by_kind &that)
| Steal the symbol kind from that.
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6).

## Additional Inherited Members
Public Attributes inherited from isc::dhcp::Dhcp4Parser::basic_symbol< by_kind >
location_type | location
| The location.
value_type | value
| The semantic value.
Public Attributes inherited from isc::dhcp::Dhcp4Parser::by_kind
symbol_kind_type | kind_
| The symbol kind.

## Detailed Description

"External" symbols: returned by the scanner.

Definition at line 1757 of file dhcp4_parser.h.

## Member Typedef Documentation

## ◆ super_type

typedef basic_symbol<by_kind> isc::dhcp::Dhcp4Parser::symbol_type::super_type

Superclass.

Definition at line 1760 of file dhcp4_parser.h.

## Constructor & Destructor Documentation

## ◆ symbol_type() [1/6]

isc::dhcp::Dhcp4Parser::symbol_type::symbol_type | ( |  | ) |
| inline

Empty symbol.

Definition at line 1763 of file dhcp4_parser.h.

References YY_NOEXCEPT.

Referenced by symbol_type(), symbol_type(), symbol_type(), symbol_type(), and symbol_type().

## ◆ symbol_type() [2/6]

isc::dhcp::Dhcp4Parser::symbol_type::symbol_type | ( | int | tok,
|  | const location_type & | l )
| inline

Constructor for valueless symbols, and symbols from each type.

Definition at line 1770 of file dhcp4_parser.h.

References symbol_type(), PARSER4__ASSERT, isc::dhcp::Dhcp4Parser::token::TOKEN_END, isc::dhcp::Dhcp4Parser::token::TOKEN_PARSER4_error, and isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_CONFIG_CONTROL.

Here is the call graph for this function:

## ◆ symbol_type() [3/6]

isc::dhcp::Dhcp4Parser::symbol_type::symbol_type | ( | int | tok,
|  | const bool & | v,
|  | const location_type & | l )
| inline

Definition at line 1783 of file dhcp4_parser.h.

References symbol_type(), PARSER4__ASSERT, and isc::dhcp::Dhcp4Parser::token::TOKEN_BOOLEAN.

Here is the call graph for this function:

## ◆ symbol_type() [4/6]

isc::dhcp::Dhcp4Parser::symbol_type::symbol_type | ( | int | tok,
|  | const double & | v,
|  | const location_type & | l )
| inline

Definition at line 1795 of file dhcp4_parser.h.

References symbol_type(), PARSER4__ASSERT, and isc::dhcp::Dhcp4Parser::token::TOKEN_FLOAT.

Here is the call graph for this function:

## ◆ symbol_type() [5/6]

isc::dhcp::Dhcp4Parser::symbol_type::symbol_type | ( | int | tok,
|  | const int64_t & | v,
|  | const location_type & | l )
| inline

Definition at line 1807 of file dhcp4_parser.h.

References symbol_type(), PARSER4__ASSERT, and isc::dhcp::Dhcp4Parser::token::TOKEN_INTEGER.

Here is the call graph for this function:

## ◆ symbol_type() [6/6]

isc::dhcp::Dhcp4Parser::symbol_type::symbol_type | ( | int | tok,
|  | const std::string & | v,
|  | const location_type & | l )
| inline

Definition at line 1819 of file dhcp4_parser.h.

References symbol_type(), PARSER4__ASSERT, and isc::dhcp::Dhcp4Parser::token::TOKEN_STRING.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- dhcp4_parser.h